#include <iostream>
using namespace std;
int main(){
    int a,b;
    cin>>a>>b;
    int x,y;
    cin>>x>>y;
    int prvi=a-x,drugi=b-y;
    if(prvi>0 && drugi==0)
        cout<<"prvi";
    else if(prvi==0 && drugi>0)
        cout<<"drugi";
    else if(prvi==0 && drugi==0)
        cout<<"nijedan";
    else
        cout<<"?";
	return 0;
}